Trf_SetObjOption(3)

NAME
Trf_SetObjOption - Interface to procedures to define the value of an option.

SYNOPSIS
#include <transform.h>

int Trf_SetObjOption
(
    Trf_Options options,
    Tcl_Interp *interp,
    const char *optname,
    const Tcl_Obj *optvalue,
    ClientData clientData
);

PARAMETERS

Trf_Options options
    Container to place the value into.

Tcl_Interp *interp
    Interpreter for error messages (NULL possible).

const char *optname
    Name of option to define.

const Tcl_Obj *optvalue
    Value to set into the container.

ClientData clientData
    Arbitrary information, as defined in Trf_TypeDefinition.clientData.

DESCRIPTION
The procedure takes the specified optionname (rejecting illegal ones) and places the given optionvalue into the container. All necessary conversions from a Tcl_Obj to the required type should be done here. Return value is a standard tcl error code. In case of failure and interp not NULL an error message should be left in the result area of the specified interpreter. This procedure makes sense for tcl version 8 and above only.

SEE ALSO
Trf_Init(3), Trf_SafeInit(3), Trf_IsInitialized(3), Trf_CreateOptions(3), Trf_DeleteOptions(3), Trf_CheckOptions(3), Trf_SetOption(3), Trf_QueryOptions(3), Trf_SeekQueryOptions(3), Trf_WriteProc(3), Trf_CreateCtrlBlock(3), Trf_DeleteCtrlBlock(3), Trf_TransformCharacter(3), Trf_TransformBuffer(3), Trf_FlushTransformation(3), Trf_ClearCtrlBlock(3), Trf_QueryMaxRead(3), Trf_Register(3), Trf_ConverterOptions(3), Trf_MDStart(3), Trf_MDUpdate(3), Trf_MDUpdateBuf(3), Trf_MDFinal(3), Trf_MDCheck(3), Trf_RegisterMessageDigest(3), Trf_LoadLibrary(3), Trf_XorBuffer(3), Trf_ShiftRegister(3), Trf_FlipRegisterShort(3), Trf_FlipRegisterLong(3), Trf_InitStubs(3)